Public Member Functions
CRTSState Class Reference

## Detailed Description

The CRTSState object holds information about a state.

During the execution of a material, each shader is called sequentially. These shaders can then add their own states associated with custom data to the execution state list. These states can then be retrieved by shaders which are executed next in the material tree.

Note:
  The state list is automatically cleared by Softimage before the execution of the realtime shader tree is done.

See also:
  IRTSExecutionState::GetStateList, CRTSStateList::RemoveState

Since:
  7.0

`#include <XSI_rtshaders.h>`

List of all members.

## Public Member Functions
| CRTSState (const char *in_szName, void *in_pData, unsigned long in_ID=0)
bool | IsValid ()
void | Validate ()
void | Invalidate ()
const char * | GetName ()
void * | GetData ()
unsigned long | GetID ()

## Constructor & Destructor Documentation

CRTSState | ( | const char * | in_szName,
|  | void * | in_pData,
|  | unsigned long | in_ID = `0`
| ) |  | `[inline]`

Default constructor

Parameters:

  in_szName | Name of state
  in_pData | Data attached to the state
  in_ID | ID for state

See also:
  CRTSState::GetName, CRTSState::GetData, CRTSState::GetID

## Member Function Documentation

bool IsValid | ( |  | ) | `[inline]`

Returns whether the state is valid (`m_bIsValid` == true) or not.

Returns:
  True if this state is valid; false otherwise

See also:
  CRTSState::Validate, CRTSState::Invalidate

void Validate | ( |  | ) | `[inline]`

Sets the valid flag for this state to true.

See also:
  CRTSState::IsValid, CRTSState::Invalidate

void Invalidate | ( |  | ) | `[inline]`

Sets the valid flag for this state to false.

See also:
  CRTSState::IsValid, CRTSState::Validate

const char* GetName | ( |  | ) | `[inline]`

Returns the state name.

Returns:
  Name of the state

See also:
  CRTSState::GetID

void* GetData | ( |  | ) | `[inline]`

Returns the data attached to the state.

Returns:
  A pointer to the data.

unsigned long GetID | ( |  | ) | `[inline]`

Returns the state ID.

Returns:
  ID of the state

See also:
  CRTSState::GetName

The documentation for this class was generated from the following file:

- XSI_rtshaders.h